Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154693 - openoffice.org includes its own libxmlsec1
Summary: openoffice.org includes its own libxmlsec1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 15:45 UTC by Bill Nottingham
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-13 16:22:53 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-04-13 15:45:07 UTC
$ rpm -ql openoffice.org-core | grep xmlsec
/usr/lib/openoffice.org1.9.92/program/libxmlsec1-nss.so
/usr/lib/openoffice.org1.9.92/program/libxmlsec1-nss.so.1
/usr/lib/openoffice.org1.9.92/program/libxmlsec1-nss.so.1.2.6
/usr/lib/openoffice.org1.9.92/program/libxmlsec1.so
/usr/lib/openoffice.org1.9.92/program/libxmlsec1.so.1
/usr/lib/openoffice.org1.9.92/program/libxmlsec1.so.1.2.6
/usr/lib/openoffice.org1.9.92/program/libxmlsecurity.so
/usr/lib/openoffice.org1.9.92/program/libxsec_xmlsec.so
/usr/lib/openoffice.org1.9.92/program/resource/xmlsec680en-US.res

We have a libxmlsec1 package in the distro - is there a reason it can't
be used?

Comment 1 Caolan McNamara 2005-04-13 16:22:53 UTC
Yes.

Comment 2 Caolan McNamara 2005-04-13 16:24:42 UTC
There are a pile of patches which Sun added about which I've hassled sun and our
libxmlsec maintainer (DV) about upstreaming into the mainstream libxmlsec for
months and months. There's been grindingly slow progress, and it's the
mainstream libxmlsec is still not a drop in replacement. 

More reachable is replacing the db3 libraries with our system db4 if
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=153231 and
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=153230 got done.

Comment 3 Bill Nottingham 2005-04-13 16:28:27 UTC
OK, I saw:

 The new XML Security Library 1.2.8 release merges OpenOffice.org changes to
xmlsec-mscrypto and xmlsec-nss into main xmlsec source tree.

but we don't package 1.2.8 yet.

(The reason this came up is that in anaconda, xmlsec1-openssl was pulling in
OO.o-core for its libxmlsec1.so.1 dependency; while it probably shouldn't do
that, I was curious if we could make the problem go away in this way.)


Comment 4 Caolan McNamara 2005-04-14 11:50:04 UTC
For the record, as of 1.2.8 there are four methods not merged into xmlsec1
http://www.aleksey.com/pipermail/xmlsec/2005/002631.html


Note You need to log in before you can comment on or make changes to this bug.